### Method

# Gtk MediaStream get_error

#### Declaration [src]

    const GError*
    gtk_media_stream_get_error (
      GtkMediaStream* self
    )

#### Description [src]

If the stream is in an error state, returns the `GError` explaining that state.

Any type of error can be reported here depending on the implementation of the media stream.

A media stream in an error cannot be operated on, calls like gtk_media_stream_play() or gtk_media_stream_seek() will not have any effect.

`GtkMediaStream` itself does not provide a way to unset an error, but implementations may provide options. For example, a `GtkMediaFile` will unset errors when a new source is set, e.g. with gtk_media_file_set_file().

Gets property | `Gtk.MediaStream:error`

#### Return value

Returns: | `const GError*`
| `NULL` if not in an error state or the `GError` of the stream.
| The data is owned by the instance.
| The return value can be `NULL`.